> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Set or update User Values

`POST /api/web/v1/self/values`

Set or update User Values

## Request Body

Required.

### application/json

Schema

```json
{
  "type": "array",
  "description": "An array of user client value objects which is to be added or updated.",
  "items": {
    "type": "object",
    "properties": {
      "name": {
        "type": "string",
        "description": "The name of the user value which will be added or updated, when corresponding self admin action completes, it will also be the response body which is the name of the user values the user currently has or the remaining after deletion."
      },
      "value": {
        "type": "string",
        "description": "The value of the user value which will be added or updated, when corresponding self admin action completes, it will also be response body which is the value of the user values the user currently has or the remaining after deletion."
      }
    },
    "description": "The information of user client values",
    "title": "UserClientValue"
  }
}
```

## Responses

### 200

OK

### 400

Bad request

#### application/json

Schema

```json
{
  "required": [
    "code",
    "message"
  ],
  "type": "object",
  "properties": {
    "code": {
      "type": "string",
      "description": "The server error code"
    },
    "message": {
      "type": "string",
      "description": "A human-readable representation of the error"
    },
    "target": {
      "type": "string",
      "description": "The target of the error"
    }
  },
  "title": "Error"
}
```

### 401

Authorization information is missing or invalid

#### application/json

Schema

```json
{
  "required": [
    "code",
    "message"
  ],
  "type": "object",
  "properties": {
    "code": {
      "type": "string",
      "description": "The server error code"
    },
    "message": {
      "type": "string",
      "description": "A human-readable representation of the error"
    },
    "target": {
      "type": "string",
      "description": "The target of the error"
    }
  },
  "title": "Error"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": []
  }
]
```
